import { OnDestroy } from "@angular/core";
import { Subject } from "rxjs";
import { INovaFilters } from "./data-source/public-api";
import { IFilteringParticipants, IFilterPub } from "./public-api";
/**
 * <example-url>./../examples/index.html#/common/data-filter-service</example-url>
 */
export declare class DataFilterService implements IFilterPub, OnDestroy {
    parent: DataFilterService;
    protected _filters: IFilteringParticipants;
    filteringSubject: Subject<void>;
    onDestroy$: Subject<void>;
    private destroySubscriptions;
    constructor(parent: DataFilterService);
    registerFilter(filter: IFilteringParticipants): void;
    unregisterFilters(filtersToUnregister: string[]): void;
    getFilters(): INovaFilters;
    applyFilters(): void;
    ngOnDestroy(): void;
}
